## instant 2017.2.0.0

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Instant.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Instant.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Instant"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Instant"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## instant 0.9.9

=== debian/changelog ===
instant (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Remove python-numeric and python-numarray from suggested packages.
  * Bump Standards-Version to 3.9.1.
  * Remove old fields Conflicts, Provides, and Replaces from
    debian/control.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Package moved from pkg-scicomp to Debian Science.
  * Update Homepage field in debian/control.

 -- Johannes Ring <johannr@simula.no>  Wed, 23 Feb 2011 23:12:35 +0100

instant (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add DM-Upload-Allowed: yes.
    - Bump debhelper version to 7.
    - Bump Standards-Version to 3.8.4 (no changes needed).
  * debian/compat: Bump to compat level 7.
  * debian/watch: Update download URL.
  * debian/copyright:
    - Add note that Instant is now dual-licensed.
    - Add manpages to list of exceptions (thanks to Mike O'Connor).
    - Update download URL.
    - Add missing upstream author Ilmar Wilbers.

 -- Johannes Ring <johannr@simula.no>  Tue, 16 Feb 2010 10:06:32 +0100

instant (0.9.6-1) unstable; urgency=low

  * Initial release (Closes: #503079)

 -- Johannes Ring <johannr@simula.no>  Mon, 15 Sep 2008 11:19:12 +0200

=== debian/control ===
Source: instant
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all,
 python-central (>= 0.6.0)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://www.fenicsproject.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/instant/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/instant/trunk

Package: python-instant
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: pkg-config, swig, python-dev, build-essential, ${python:Depends},
 ${misc:Depends}
Recommends: python-numpy
Conflicts: instant
Provides: instant
Replaces: instant
Description: simple inlining of C / C++ code in Python
 Instant is a Python module that allows for instant inlining of C and C++ code
 in Python. It is a small Python module built on top of SWIG and Distutils.
 It is part of the FEniCS project (http://www.fenicsproject.org).

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE := .py

USCAN_DESTDIR := $(CURDIR)
SRC_VERSION := $(shell dpkg-parsechangelog | \
		sed -ne 's/^Version: \(.*\)-.*/\1/p')

get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR) \
	 --download-version $(SRC_VERSION) --upstream-version $(SRC_VERSION)

## instant 0.9.10

=== debian/changelog ===
instant (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * Move from python-central to dh_python2 (closes: #616849).
    - Remove python-central from Build-Depends.
    - Bump minimum required python-all package version to 2.6.6-3~.
    - Remove XB-Python-Version line.
    - Bump minimum required cdbs version to 0.4.90~.
    - Remove DEB_PYTHON_SYSTEM=pycentral from debian/rules.
    - Replace XS-Python-Version with X-Python-Version.
  * Remove old fields Conflicts, Provides, and Replaces from
    debian/control.
  * Add swig2.0 to Depends field as an alternative to swig.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * debian/rules: Remove deprecated variable DEB_COMPRESS_EXCLUDE.

 -- Johannes Ring <johannr@simula.no>  Tue, 17 May 2011 13:49:09 +0200

=== debian/control ===
Source: instant
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.fenicsproject.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/instant/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/instant/trunk

Package: python-instant
Architecture: all
Depends: pkg-config, swig | swig2.0, python-dev, build-essential,
 ${python:Depends}, ${misc:Depends}
Recommends: python-numpy
Description: simple inlining of C / C++ code in Python
 Instant is a Python module that allows for instant inlining of C and C++ code
 in Python. It is a small Python module built on top of SWIG and Distutils.
 It is part of the FEniCS project (http://www.fenicsproject.org).

## instant 1.0-beta2

=== debian/changelog ===
instant (1.0-beta2-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Fri, 04 Nov 2011 08:44:02 +0100

instant (1.0-beta-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Mon, 15 Aug 2011 17:05:53 +0200

## instant 1.0.0

=== debian/changelog ===
instant (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Wed, 07 Dec 2011 15:06:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
-Homepage: http://www.fenicsproject.org
+Homepage: http://fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/instant/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/instant/trunk
@@ -19,4 +19,4 @@
 Description: simple inlining of C / C++ code in Python
  Instant is a Python module that allows for instant inlining of C and C++ code
  in Python. It is a small Python module built on top of SWIG and Distutils.
- It is part of the FEniCS project (http://www.fenicsproject.org).
+ It is part of the FEniCS project (http://fenicsproject.org).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

USCAN_DESTDIR := $(CURDIR)

get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR) \
	 --download-version $(DEB_UPSTREAM_VERSION) \
	 --upstream-version $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
http://launchpad.net/instant/+download http://launchpad.net/instant/.*/instant-(.*)\.tar\.gz

## instant 1.2.0

=== debian/changelog ===
instant (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Remove DM-Upload-Allowed field.
    - Bump required debhelper version in Build-Depends.
    - Remove cdbs from Build-Depends.
    - Use canonical URIs for Vcs-* fields.
    - Add cmake to Depends field.
  * debian/compat: Bump to compatibility level 9.
  * debian/rules: Rewrite for debhelper (drop cdbs).

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 12:40:27 +0200

instant (1.1.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/watch: Replace http with https in URL.

 -- Johannes Ring <johannr@simula.no>  Thu, 10 Jan 2013	10:04:35 +0100

=== debian/watch ===
version=3
https://launchpad.net/instant/+download https://launchpad.net/instant/.*/instant-(.*)\.tar\.gz

## instant 1.3.0

=== debian/changelog ===
instant (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Update URL for move to Bitbucket.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 13:02:30 +0200

=== debian/control ===
Source: instant
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
Homepage: http://fenicsproject.org
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/instant/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/instant/trunk/

Package: python-instant
Architecture: all
Depends: pkg-config, swig | swig2.0, python-dev, build-essential, cmake,
 ${python:Depends}, ${misc:Depends}
Recommends: python-numpy
Description: simple inlining of C / C++ code in Python
 Instant is a Python module that allows for instant inlining of C and C++ code
 in Python. It is a small Python module built on top of SWIG and Distutils.
 It is part of the FEniCS project (http://fenicsproject.org).

=== debian/watch ===
version=3
https://bitbucket.org/fenics-project/instant/downloads/instant-(.*)\.tar\.gz

## instant 1.4.0

=== debian/changelog ===
instant (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.5 (no changes needed).
    - Replace "swig | swig2.0" with "swig" in Depends.

 -- Johannes Ring <johannr@simula.no>  Tue, 03 Jun 2014 12:44:29 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: python-instant
 Architecture: all
-Depends: pkg-config, swig | swig2.0, python-dev, build-essential, cmake,
+Depends: pkg-config, swig, python-dev, build-essential, cmake,
  ${python:Depends}, ${misc:Depends}
 Recommends: python-numpy
 Description: simple inlining of C / C++ code in Python

## instant 1.5.0

=== debian/changelog ===
instant (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Bump X-Python-Version to >= 2.7.
    - Bump python-all in Build-Depends to >= 2.7.

 -- Johannes Ring <johannr@simula.no>  Mon, 12 Jan 2015 20:54:05 +0100

## instant 1.6.0

=== debian/changelog ===
instant (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Tue, 11 Aug 2015 10:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.4
-X-Python-Version: >= 2.5
+Build-Depends: debhelper (>= 9), python-all (>= 2.7)
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
 Homepage: http://fenicsproject.org
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/instant/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/instant/trunk/

## instant 2016.1.0

=== debian/changelog ===
instant (2016.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Fri, 24 Jun 2016 13:16:14 +0200

instant (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
      + Update VCS fields after the move to Git.
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Apr 2016 18:54:59 +0800

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: debhelper (>= 9), python-all (>= 2.7)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: http://fenicsproject.org
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/instant/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/instant/trunk/
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/instant.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/instant.git
 
 Package: python-instant
 Architecture: all

## instant 2016.2.0

=== debian/changelog ===
instant (2016.2.0-2) unstable; urgency=medium

  * Team upload.
  
  [ Johannes Ring ]
  * Support Python 3.
  * d/control: Add python-six to Depends.

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Jan 2017 22:09:32 +0800

instant (2016.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Check pgp signature.
  * d/control: Remove Christophe Prud'homme from Uploaders (closes: #835007).

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Dec 2016 14:02:17 +0100

=== debian/control ===
Source: instant
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.7),
 python3-all (>= 3.4),
 python-setuptools,
 python3-setuptools
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: http://fenicsproject.org
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/instant.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/instant.git

Package: python-instant
Architecture: all
Depends:
 build-essential,
 cmake,
 swig,
 pkg-config,
 python-dev,
 python-six,
 python-numpy,
 ${python:Depends},
 ${misc:Depends}
Description: simple inlining of C/C++ code in Python 2
 Instant is a Python module that allows for instant inlining of C and
 C++ code in Python. It is a small Python module built on top of SWIG
 and Distutils.
 .
 Instant is part of the FEniCS project <https://fenicsproject.org>.
 .
 This package installs the library for Python 2.

Package: python3-instant
Architecture: all
Depends:
 build-essential,
 cmake,
 swig,
 pkg-config,
 python3-dev,
 python3-six,
 python3-numpy,
 ${python3:Depends},
 ${misc:Depends}
Description: simple inlining of C/C++ code in Python 3
 Instant is a Python module that allows for instant inlining of C and
 C++ code in Python. It is a small Python module built on top of SWIG
 and Distutils.
 .
 Instant is part of the FEniCS project <https://fenicsproject.org>.
 .
 This package installs the library for Python 3.

## instant 2017.2.0.0

=== debian/changelog ===
instant (2017.2.0.0-2) unstable; urgency=medium

  * debian/control: update VCS tags to salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Feb 2018 22:27:21 +0800

instant (2017.2.0.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - this is the official 2017.2.0 release. The previous version was
      a mislabelled beta release.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11
  * debian/control Priority: optional not extra

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jan 2018 00:10:50 +0800

instant (2017.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - updated debian/upstream/signing-key.asc for signature
      from the FEniCS Project Steering Council (key BED06106DD22BAB3)
  * Standards-Version: 4.1.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Oct 2017 16:03:59 +0800

instant (2017.1.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10
  * Remove debian/patches/python-cmake-fix-for-dolfin.patch
    (now applied upstream)

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Sep 2017 14:28:56 +0800

instant (2017.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Thu, 06 Jul 2017 12:44:58 +0200

instant (2016.2.0-3) unstable; urgency=medium

  * d/patches/python-cmake-fix-for-dolfin.patch: Add patch to fix CMake
    file that Instant generates for DOLFIN. This is needed for Python 2
    and Python 3 side-by-side installations.

 -- Johannes Ring <johannr@simula.no>  Tue, 06 Jun 2017 17:55:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: instant
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.7),
  python3-all (>= 3.4),
  python-setuptools,
  python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Homepage: http://fenicsproject.org
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/instant.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/instant.git
+Vcs-Git: https://salsa.debian.org/science-team/fenics/instant.git
+Vcs-Browser: https://salsa.debian.org/science-team/fenics/instant
 
 Package: python-instant
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=instant
export PYBUILD_DISABLE=test

USCAN_DESTDIR := $(CURDIR)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf *.egg-info

override_dh_install:
	dh_install
	mv debian/python3-instant/usr/bin/instant-clean debian/python3-instant/usr/bin/instant-clean-3
	mv debian/python3-instant/usr/bin/instant-showcache debian/python3-instant/usr/bin/instant-showcache-3
	mv debian/python3-instant/usr/share/man/man1/instant-clean.1.gz debian/python3-instant/usr/share/man/man1/instant-clean-3.1.gz
	mv debian/python3-instant/usr/share/man/man1/instant-showcache.1.gz debian/python3-instant/usr/share/man/man1/instant-showcache-3.1.gz

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/fenics-project/instant/downloads/instant-(.*)\.tar\.gz
